GCUBEProfileResource
Date: 2017-06-10

org.gcube.informationsystem.collector.impl.resources

## Class GCUBEProfileResource

- java.lang.Object
- - org.gcube.informationsystem.collector.impl.resources.BaseDAIXResource
  - - org.gcube.informationsystem.collector.impl.resources.GCUBEProfileResource

- All Implemented Interfaces:
    DAIXResource

      public class GCUBEProfileResource
      extends BaseDAIXResource

  A gCube profile resource
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gcube.informationsystem.collector.impl.resources.DAIXResource

      `DAIXResource.MalformedResourceException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ROOT_COLLECTION_NAME`
    `static java.lang.String` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCUBEProfileResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deserializeFromIndexing(java.lang.String content)` Deserializes the content retrieved from the XML storage
    `java.lang.String` | `getCollectionName()`
    `java.lang.String` | `serializeForIndexing()` Creates a serialization of the resource to be indexed
    `void` | `setCollectionName(java.lang.String collectionName)`
    `void` | `setResourceType(java.lang.String type)`

    - ### Methods inherited from class org.gcube.informationsystem.collector.impl.resources.BaseDAIXResource

      `equals, getContent, getResourceName, getResourceURI, hashCode, setContent, setContent, setResourceName, setResourceURI, toString, toStringFromElement`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

    - #### ROOT_COLLECTION_NAME

          public static java.lang.String ROOT_COLLECTION_NAME

  - ### Constructor Detail

    - #### GCUBEProfileResource

          public GCUBEProfileResource()

  - ### Method Detail

    - #### getCollectionName

          public java.lang.String getCollectionName()
                                             throws DAIXResource.MalformedResourceException

      Specified by:
        `getCollectionName` in interface `DAIXResource`
      Overrides:
        `getCollectionName` in class `BaseDAIXResource`
      Returns:
        the name of the collection including the resource
      Throws:
        `DAIXResource.MalformedResourceException`

    - #### setCollectionName

          public void setCollectionName(java.lang.String collectionName)

      Specified by:
        `setCollectionName` in interface `DAIXResource`
      Overrides:
        `setCollectionName` in class `BaseDAIXResource`
      Parameters:
        `collectionName` - the name of the collection including the resource

    - #### setResourceType

          public void setResourceType(java.lang.String type)

      Parameters:
        `type` - the resource type (if not set, it's extracted from the content, if any)

    - #### deserializeFromIndexing

          public void deserializeFromIndexing(java.lang.String content)
                                       throws DAIXResource.MalformedResourceException

      Deserializes the content retrieved from the XML storage
      Specified by:
        `deserializeFromIndexing` in interface `DAIXResource`
      Overrides:
        `deserializeFromIndexing` in class `BaseDAIXResource`
      Parameters:
        `content` - the content
      Throws:
        `DAIXResource.MalformedResourceException`

    - #### serializeForIndexing

          public java.lang.String serializeForIndexing()

      Creates a serialization of the resource to be indexed
      Specified by:
        `serializeForIndexing` in interface `DAIXResource`
      Overrides:
        `serializeForIndexing` in class `BaseDAIXResource`
      Returns:
        the serialized resource